﻿using _822277.Properties;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace _822277
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            GridViewTextBoxColumn col1 = new GridViewTextBoxColumn();
            col1.Name = "MyTextColumn";

            radGridView1.Columns.Add(col1);

            GridViewImageColumn col2 = new GridViewImageColumn();
            col2.Name = "MyImageColumn";
            radGridView1.Columns.Add(col2);
            radGridView1.CellValueChanged += radGridView1_CellValueChanged;

            for (int i = 0; i < 10; i++)
            {
                if (i%2==0)
                {
                    radGridView1.Rows.AddNew();
                    continue;
                }
                radGridView1.Rows.Add("Row " + i);
               
            }
            foreach (var item in radGridView1.Rows)
            {

                if (item.Cells[ "MyTextColumn"].Value == null)
                {
                   item.Cells["MyImageColumn"].Value = Resources.delete.GetThumbnailImage(17, 17, null, new IntPtr());
                }
            }
        }

        void radGridView1_CellValueChanged(object sender, GridViewCellEventArgs e)
        {
            if (e.Column.Name == "MyTextColumn")
            {
                if (e.Value == null)
                {
                    e.Row.Cells["MyImageColumn"].Value = Resources.delete.GetThumbnailImage(17, 17, null, new IntPtr());
                }
                else
                {
                    e.Row.Cells["MyImageColumn"].Value = null;
                }
            }
        }

    }
}